- Classes
- Namespaces
- Interfaces
- Index

PHP-FFMpeg API
Interface

# FFMpeg\Format\Video\Resizable

interface Resizable implements Video

The resizable video interface

This interface provides methods for video resizing.

## Methods

Dimension | getComputedDimensions(integer $originalWidth, integer $originalHeight) Returns the computed dimensions for the resize, after operation. |

## Details

###
at line 35
`public Dimension getComputedDimensions(integer $originalWidth, integer $originalHeight)`

Returns the computed dimensions for the resize, after operation.

This method return the actual dimensions that FFmpeg will use.

#### Parameters

integer | $originalWidth |
integer | $originalHeight |

#### Return Value

Dimension | A dimension